Subject: Six-month timeout (Re: [Tools-team] Draft submission authentication)

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 01 Sep 2004 22:08:07 +0200

--On 31. august 2004 16:31 -0600 Alex Rousskov 
<[email-masked]> wrote:

> On Tue, 31 Aug 2004, Allison Mankin wrote:
>
>> Hi, everyone,
>
> Hi Allison,
>
>  	It is nice to hear a fresh voice :-). Just one quick clarification
> regarding your statement below, if I may.
>
>> - The IETF also has pretty formally decided that it cannot retain
>>  old drafts, and so a tool can't change the actual repository policy
>>  without getting into modifying the standards process.  But I do
>>  think a cvs-like and diff-supporting tool could be cool and
>>  important.
>
> Do you think that archiving older versions until the latest draft version
> expires would violate the above formal decision? Or, as a minor
> variation, archiving all unexpired versions of a draft? Providing an
> online "what has changed since I last checked" interface would be very
> useful, and I wonder if current IETF policies can accommodate that?

Clarifying: All I-Ds promise to expire in 6 months.
Whenever we have discussed this in public, people have stated that changing 
this retroactively would be breaking that promise (despite the non-official 
mirrors).

I believe we need to change this policy - most likely not by modifying the 
existing repository (I think having 6500 I-Ds is a more manageable "working 
set" than the 21.000 in my private "no-deletion" directory), but by adding 
a "historical" archive - with diff tools.

But that's not something the tools team can decide - someone from the tools 
team can, if they want to, write up the proposal and push it in front of 
the community, but it's not the tools team's job to make that determination.
>
> Does anybody know where is the non-archival policy for drafts formally
> documented?

<http://www.ietf.org/ietf/1id-guidelines.txt>
>
> Internet-Drafts are draft documents valid for a maximum of six months
> and may be updated, replaced, or obsoleted by other documents at any
> time.  It is inappropriate to use Internet-Drafts as reference
> material or to cite them other than a "work in progress."

I've traced this back on the wayback machine to October 1999 - but I 
suspect that it's been unchanged since before the concept of BCP was 
formulated (RFC 1818, August 1995).

It's an OLD policy....

_______________________________________________
Tools-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-team

---

From: Alex Rousskov <[email-masked]>
Date: Wed, 1 Sep 2004 14:41:58 -0600 (MDT)

Harald,

 	A question in TOOLs scope: Can TOOLs draft recommend or rely 
on archiving UNexpired versions of drafts as a short-term 
gradual-progress solution? That is, publishing a new draft version 
would not make the old version disappear and would allow generating 
diffs. Once an old version expires, it becomes invisible and not 
diff-able against. Would that violate the expiration promise? I do not 
think so. Would that violate drafts non-archival status? Probably not, 
and that status does not seem to be required by IETF rules anyway 
(expiration is).

 	And a question out of TOOLs scope: When discussing long-term 
policy, can we separate ID expiration from ID archiving? Obsoleted 
RFCs do not disappear from IETF web site. Expired IDs do not have to.

Thanks,

Alex.

On Wed, 1 Sep 2004, Harald Tveit Alvestrand wrote:

> set" than the 21.000 in my private "no-deletion" directory), but by adding a 
> "historical" archive - with diff tools.
>
> team can, if they want to, write up the proposal and push it in front of the 
> community, but it's not the tools team's job to make that determination.
>> 
> I've traced this back on the wayback machine to October 1999 - but I suspect 
> that it's been unchanged since before the concept of BCP was formulated (RFC 
> 1818, August 1995).
>
> It's an OLD policy....
>